<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>TextGridLab Search Module</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2008-12-30T16:20:32.67" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" />
</head>
<body>
<h1 id="toc0">Searching for Documents
in&nbsp;TextGridRep</h1>
The <em>Search Module</em>
allows for searching across the contents (e.g. TEI-encoded
documents) and the object metadata in the TextGrid
Repository. It serves as a front-end to
<em>Tg-Search</em>, TextGrid's search service.
<p>The Research perspective is the default perspective when the
<em>TextGridLab</em>
starts and the
<em>Welcome Screen</em>
is closed. It consists of two sub-windows, or views:
<em>Research</em>
and
<em>Research Results</em>
.
</p>
<h2>Research</h2>
Specify here what you are looking for:
<ul>
<li><em>Text</em> contained in the document, and
whether this text should be presented as KWIC format in the <em>Research
Results</em>, i.e. as <b>K</b>ey <b>W</b>ord
<b>I</b>n <b>C</b>ontext.</li>
<li><em>Metadata</em> describing the document, e.g.
title, author, genre.</li>
<li><em>Refine</em> your search to certain tags of
the <em>TextGrid baseline encoding</em> (see below) and
specify whether you want all results at once or in successive portions.</li>
</ul>
<h2>Research Results</h2>
This view initially shows the titles (as in the document's metadata).
However, if you would like to see more information, you might
want to
<ul>
<li>flip open (a single document), or</li>
<li>push the <em>Expand</em> button (for all
documents). This can be repeated until all levels of the tree are
shown, including the KWICs.</li>
</ul>
<h1 id="toc4">Contents</h1>
<ul>
<li> <a href="openSearch.html">How to Open the
Search Perspective</a> </li>
<li> <a href="searchWhat.html">What Can Be
Searched for?</a> </li>
<li> <a href="searchResults.html">Presentation of
the Results</a> </li>
<li> <a href="searchHints.html">FAQ: Useful Hints
for Searching</a> </li>
</ul>
</body></html>